## org.eclipse.datatools.modelbase.sql.schema.impl
Class SchemaImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl

All Implemented Interfaces:
  Schema, SQLObject

public class SchemaImpl
extends SQLObjectImpl
implements Schema

An implementation of the model object 'Schema'.

The following features are implemented:

- `Triggers`
- `Indices`
- `Tables`
- `Sequences`
- `Database`
- `Assertions`
- `User Defined Types`
- `Char Sets`
- `Routines`
- `Owner`

See Also:
  Serialized Form

Method Summary
`Database` `basicGetDatabase()`
`AuthorizationIdentifier` `basicGetOwner()`
`NotificationChain` `basicSetDatabase(Database newDatabase, NotificationChain msgs)`
`NotificationChain` `basicSetOwner(AuthorizationIdentifier newOwner, NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getAssertions()`
`EList` `getBuiltInFunctions()` Get a list of built-in (aka system) functions belonging to this schema.
`EList` `getCharSets()`
`Database` `getDatabase()`
`EList` `getIndices()`
`AuthorizationIdentifier` `getOwner()`
`EList` `getProcedures()` Get a list of procedures belonging to this schema.
`EList` `getRoutines()`
`EList` `getSequences()`
`EList` `getTables()`
`EList` `getTriggers()`
`EList` `getUDFs()` Get a list of user-defined functions belonging to this schema.
`EList` `getUserDefinedTypes()`
`void` `setDatabase(Database newDatabase)`
`void` `setOwner(AuthorizationIdentifier newOwner)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTriggers

    public EList getTriggers()

  Specified by:
    `getTriggers` in interface `Schema`
  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Triggers()`, `Trigger.getSchema()`

### getIndices

    public EList getIndices()

  Specified by:
    `getIndices` in interface `Schema`
  Returns:
    the value of the 'Indices' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Indices()`, `Index.getSchema()`

### getTables

    public EList getTables()

  Specified by:
    `getTables` in interface `Schema`
  Returns:
    the value of the 'Tables' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Tables()`, `Table.getSchema()`

### getSequences

    public EList getSequences()

  Specified by:
    `getSequences` in interface `Schema`
  Returns:
    the value of the 'Sequences' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Sequences()`, `Sequence.getSchema()`

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `Schema`
  Returns:
    the value of the 'Database' reference.
  See Also:
    `Schema.setDatabase(Database)`, `SQLSchemaPackage.getSchema_Database()`, `Database.getSchemas()`

### basicGetDatabase

    public Database basicGetDatabase()

### basicSetDatabase

    public NotificationChain basicSetDatabase(Database newDatabase,
                                              NotificationChain msgs)

### setDatabase

    public void setDatabase(Database newDatabase)

  Specified by:
    `setDatabase` in interface `Schema`
  Parameters:
    `newDatabase` - the new value of the 'Database' reference.
  See Also:
    `Schema.getDatabase()`

### getAssertions

    public EList getAssertions()

  Specified by:
    `getAssertions` in interface `Schema`
  Returns:
    the value of the 'Assertions' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Assertions()`, `Assertion.getSchema()`

### getUserDefinedTypes

    public EList getUserDefinedTypes()

  Specified by:
    `getUserDefinedTypes` in interface `Schema`
  Returns:
    the value of the 'User Defined Types' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_UserDefinedTypes()`, `UserDefinedType.getSchema()`

### getCharSets

    public EList getCharSets()

  Specified by:
    `getCharSets` in interface `Schema`
  Returns:
    the value of the 'Char Sets' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_CharSets()`, `CharacterSet.getSchema()`

### getRoutines

    public EList getRoutines()

  Specified by:
    `getRoutines` in interface `Schema`
  Returns:
    the value of the 'Routines' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Routines()`, `Routine.getSchema()`

### getProcedures

    public EList getProcedures()

  Get a list of procedures belonging to this schema.

  Specified by:
    `getProcedures` in interface `Schema`
  Returns:
    the procedures contained within the schema. If there are none, then an empty list is returned.

### getUDFs

    public EList getUDFs()

  Get a list of user-defined functions belonging to this schema.

  Specified by:
    `getUDFs` in interface `Schema`
  Returns:
    the user-defined functions contained within the schema. If there are none, then an empty list is returned.

### getBuiltInFunctions

    public EList getBuiltInFunctions()

  Get a list of built-in (aka system) functions belonging to this schema.

  Specified by:
    `getBuiltInFunctions` in interface `Schema`
  Returns:
    the built-in functions contained within the schema. If there are none, then an empty list is returned.

### getOwner

    public AuthorizationIdentifier getOwner()

  Specified by:
    `getOwner` in interface `Schema`
  Returns:
    the value of the 'Owner' reference.
  See Also:
    `Schema.setOwner(AuthorizationIdentifier)`, `SQLSchemaPackage.getSchema_Owner()`, `AuthorizationIdentifier.getOwnedSchema()`

### basicGetOwner

    public AuthorizationIdentifier basicGetOwner()

### basicSetOwner

    public NotificationChain basicSetOwner(AuthorizationIdentifier newOwner,
                                           NotificationChain msgs)

### setOwner

    public void setOwner(AuthorizationIdentifier newOwner)

  Specified by:
    `setOwner` in interface `Schema`
  Parameters:
    `newOwner` - the new value of the 'Owner' reference.
  See Also:
    `Schema.getOwner()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.